set foreign_key_checks=0;
CREATE TABLE IF NOT EXISTS `ecpr2`.`Identifier` (
  `IdentifierPID` int(11) NOT NULL AUTO_INCREMENT,
  `Uuid` varchar(45) NOT NULL,
  `PersonPID` int(11) NOT NULL,
  `OID` varchar(100) NOT NULL,
  `ValidFrom` datetime NOT NULL,
  `ValidTo` datetime NOT NULL,
  `Value` varchar(45) NOT NULL,
  `Validity` int(2) NULL,
  `Expiry` datetime NULL,
  `ModifiedTime` datetime NOT NULL,
  PRIMARY KEY (`IdentifierPID`),
  KEY `Identifier_PersonPID_idx` (`PersonPID`),
  KEY `Identifier_Value_idx` (`Value`),
  KEY `IdentifierUuid_idx` (`Uuid`),
  CONSTRAINT `IdentifierPerson` FOREIGN KEY (`PersonPID`) REFERENCES `Person` (`PersonPID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
