CREATE TABLE IF NOT EXISTS sdm_krs_a.`Autorisation` (
  `AutorisationPID` bigint(20) NOT NULL AUTO_INCREMENT,
  `Autorisationsnummer` varchar(10) NOT NULL,
  `CPR` varchar(10) NOT NULL,
  `Fornavn` varchar(100) NOT NULL,
  `Efternavn` varchar(100) NOT NULL,
  `UddannelsesKode` varchar(4) NOT NULL,
  `Dispensation75Regl` varchar(3) NULL,
  `Speciale1` varchar(100) NULL,
  `SpecialeDato1` datetime NULL,
  `SpecialeUddLand1` varchar(100) NULL,
  `Speciale2` varchar(100) NULL,
  `SpecialeDato2` datetime NULL,
  `SpecialeUddLand2` varchar(100) NULL,
  `Speciale3` varchar(100) NULL,
  `SpecialeDato3` datetime NULL,
  `SpecialeUddLand3` varchar(100) NULL,
  `ValidFrom` datetime NOT NULL,
  `ValidTo` datetime NOT NULL,
  `LastReplicated` datetime NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`AutorisationPID`),
  UNIQUE KEY `AutCprValidFrom` (`Autorisationsnummer`,`CPR`,`ValidFrom`),
  KEY `IDXAutorisationsnummerValidTo` (`Autorisationsnummer`,`ValidTo`),
  KEY `IDXAutCPRValidTo` (`CPR`,`ValidTo`),
  KEY `IDXAutValidToFrom` (`ValidTo`,`ValidFrom`)
) ENGINE=InnoDB AUTO_INCREMENT=34733 DEFAULT CHARSET=utf8;
